gnutls_x509_ext_ct_import_scts(3)

NAME
gnutls_x509_ext_ct_import_scts - API function

SYNOPSIS
#include <gnutls/x509-ext.h>

int gnutls_x509_ext_ct_import_scts(const gnutls_datum_t * ext, gnutls_x509_ct_scts_t scts, unsigned int flags);

ARGUMENTS

const gnutls_datum_t * ext
    a DER-encoded extension

gnutls_x509_ct_scts_t scts
    The SCT list

unsigned int flags
    should be zero

DESCRIPTION
This function will read a SignedCertificateTimestampList structure from the DER data of the X.509 Certificate Transparency SCT extension (OID 1.3.6.1.4.1.11129.2.4.2). The list of SCTs (Signed Certificate Timestamps) is placed on scts , which must be previously initialized with gnutls_x509_ext_ct_scts_init().

RETURNS
GNUTLS_E_SUCCESS (0) on success or a negative error value.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001- Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/